# PySCeS (0.9.0) model input file
# http://pysces.sourceforge.net/

# Original input file: hoefnagel_2015_ratio_R_N.psc
# This file generated: Wed, 23 Dec 2015 11:40:16

# Fixed species
FIX: Glucose Lactate Phosphate O_2 ACETOUT Butanediol Acetate Ethanol dummy

# Reaction stoichiometry and rate equations
v_2:
	R_N + Pyruvate = Lactate
	(Vmax2*(Pyruvate/Km2PYR)*(NADH/Km2NADH)*(1.0-((Lactate*NAD)/(Pyruvate*NADH*Keq2))))/((1.0+(Pyruvate/Km2PYR)+(Lactate/Km2LAC))*(1.0+(NADH/Km2NADH)+(NAD/Km2NAD)))

v_9:
	Acetolactate = Acetoin
	(Vmax9*Acetolactate/Km9ACLAC)/(1.0+Acetolactate/Km9ACLAC+Acetoin/Km9ACET)

v_13:
	O_2 + R_N = dummy
	(Vmax13*NADH/Km13NADH*O_2/Km13O)/((1.0+NADH/Km13NADH+NAD/Km13NAD)*(1.0+O_2/Km13O))

v_5:
	Acetyl_Phosphate = Acetate + R_A
	(Vmax5*(Acetyl_Phosphate/Km5ACP)*(ADP/Km5ADP)*(1.0-((Acetate*ATP)/(Acetyl_Phosphate*ADP*Keq5))))/((1.0+(Acetyl_Phosphate/Km5ACP)+(Acetate/Km5AC))*(1.0+(ADP/Km5ADP)+(ATP/Km5ATP)))

v_6:
	R_N + R_C = Acetaldehyde
	(Vmax6*(NADH*Acetyl_CoA)/(Km6NADH*Km6ACCOA)-(Vmax6*NAD*CoA*Acetaldehyde)/(Km6NADH*Km6ACCOA*Keq6))/((1.0+NADH/Km6NADH+NAD/Km6NAD)*(1.0+Acetyl_CoA/Km6ACCOA+CoA/Km6COA)*(1.0+Acetaldehyde/Km6ACAL))

v_1:
	{0.50000}Glucose = R_N + Pyruvate + R_A
	(Vmax1*(Glucose/Km1GLC)*(NAD/Km1NAD)*(ADP/Km1ADP))/((1.0+Glucose/Km1GLC+Pyruvate/Km1PYR)*(1.0+NAD/Km1NAD+NADH/Km1NADH)*(1.0+ADP/Km1ADP+ATP/Km1ATP))

v_10:
	Acetoin = ACETOUT
	Vmax10*Acetoin/(Km10ACET+Acetoin)

v_4:
	Phosphate + R_C = Acetyl_Phosphate
	((Vmax4/(Ki4ACCOA*Km4P))*(Acetyl_CoA*Phosphate-((Acetyl_Phosphate*CoA)/(Keq4))))/(1.0+(Acetyl_CoA/Ki4ACCOA)+(Phosphate/Ki4P)+(Acetyl_Phosphate/Ki4ACP)+(CoA/Ki4COA)+((Acetyl_CoA*Phosphate)/(Ki4ACCOA*Km4P))+((Acetyl_Phosphate*CoA)/(Km4ACP*Ki4COA)))

v_14:
	Acetolactate = Acetoin
	k14*Acetolactate

v_11:
	R_N + Acetoin = Butanediol
	(Vmax11*(Acetoin/Km11ACET)*(NADH/Km11NADH)*(1.0-((Butanediol*NAD)/(Acetoin*NADH*Keq11))))/((1.0+(Acetoin/Km11ACET)+(Butanediol/Km11BUT))*(1.0+(NADH/Km11NADH)+(NAD/Km11NAD)))

v_12:
	R_A = Phosphate
	Vmax12*(pow((ATP/ADP),n12))/((pow(KATP,n12)+(pow((ATP/ADP),n12))))

v_7:
	Acetaldehyde + R_N = Ethanol
	(Vmax7*(Acetaldehyde/Km7ACAL)*(NADH/Km7NADH)*(1.0-((Ethanol*NAD)/(Acetaldehyde*NADH*Keq7))))/((1.0+(Acetaldehyde/Km7ACAL)+(Ethanol/Km7ETOH))*(1.0+(NADH/Km7NADH)+(NAD/Km7NAD)))

v_8:
	Pyruvate = {0.50000}Acetolactate
	Vmax8*(Pyruvate/Km8PYR)*(1.0-(Acetolactate/(Pyruvate*Keq8)))*(pow(((Pyruvate/Km8PYR)+(Acetolactate/Km8ACLAC)),(h8-1.0)))/(1.0+(pow(((Pyruvate/Km8PYR)+(Acetolactate/Km8ACLAC)),h8)))

v_3:
	Pyruvate = R_N + R_C
	Vmax3*((Pyruvate/Km3PYR)*(NAD/Km3NAD)*(CoA/Km3COA)/((1.0+(Pyruvate/Km3PYR))*(1.0+(NAD/Km3NAD)+(NADH/Km3NADH))*(1.0+(CoA/Km3COA)+(Acetyl_CoA/Km3ACCOA))))*(1.0/(1.0+((Ki3*NADH)/NAD)))


# Assignment rules
!F CoA = SC/(R_C+1)
!F NADH = (R_N*SN)/(R_N+1)
!F ADP = SA/(R_A+1)
!F ATP = (R_A*SA)/(R_A+1)
!F Acetyl_CoA = (R_C*SC)/(R_C+1)
!F NAD = SN/(R_N+1)


# species initial values
Acetaldehyde = 1.1000e-01
Acetolactate = 1.0000e-06
Acetoin = 1.0000e-06
R_A = 2.0408e-02
Pyruvate = 1.0000e+00
R_C = 1.2360e-01
Acetyl_Phosphate = 3.1450e-02

## parameters
R_N = 1.9631e-02
Glucose = 1.5000e+01
Lactate = 1.0000e-01
Phosphate = 1.0000e+01
O_2 = 2.0000e-01
ACETOUT = 1.0000e-03
Butanediol = 1.0000e-02
Acetate = 1.0000e-02
Ethanol = 1.0000e-01
dummy = 0.0000e+00
Vmax1 = 4.7940e+03
Km1GLC = 1.0000e-01
Km1PYR = 2.5000e+00
Km1NAD = 1.4120e-01
Km1NADH = 8.9990e-02
Km1ADP = 4.6990e-02
Km1ATP = 1.8670e-02
Vmax2 = 5.1180e+03
Km2PYR = 1.5000e+00
Km2NADH = 8.0000e-02
Km2LAC = 1.0000e+02
Km2NAD = 2.4000e+00
Keq2 = 2.1121e+04
Vmax12 = 9.0000e+02
n12 = 2.5800e+00
KATP = 6.1960e+00
Vmax13 = 1.1800e+02
Km13NADH = 4.1000e-02
Km13NAD = 1.0000e+00
Km13O = 2.0000e-01
Vmax8 = 1.2000e+03
Km8PYR = 5.0000e+01
Km8ACLAC = 1.0000e+02
h8 = 2.4000e+00
Keq8 = 9.0000e+12
Vmax9 = 1.0600e+02
Km9ACLAC = 1.0000e+01
Km9ACET = 1.0000e+02
Vmax10 = 2.0000e+02
Km10ACET = 5.0000e+00
k14 = 3.0000e-04
Vmax11 = 1.0500e+02
Km11ACET = 6.0000e-02
Km11NADH = 2.0000e-02
Km11BUT = 2.6000e+00
Km11NAD = 1.6000e-01
Keq11 = 1.4000e+03
Vmax4 = 4.2000e+01
Ki4ACCOA = 2.0000e-01
Km4P = 2.6000e+00
Keq4 = 6.5000e-03
Ki4P = 2.6000e+00
Ki4ACP = 2.0000e-01
Ki4COA = 2.9000e-02
Km4ACP = 7.0000e-01
Vmax5 = 2.7000e+03
Km5ACP = 1.6000e-01
Km5ADP = 5.0000e-01
Km5AC = 7.0000e+00
Km5ATP = 7.0000e-02
Keq5 = 1.7422e+02
Vmax3 = 2.5900e+02
Km3PYR = 1.0000e+00
Km3NAD = 4.0000e-01
Km3COA = 1.4000e-02
Km3NADH = 1.0000e-01
Km3ACCOA = 8.0000e-03
Ki3 = 4.6416e+01
Vmax6 = 9.7000e+01
Km6NADH = 2.5000e-02
Km6ACCOA = 7.0000e-03
Km6NAD = 8.0000e-02
Km6COA = 8.0000e-03
Km6ACAL = 1.0000e+01
Keq6 = 1.0000e+00
Vmax7 = 1.6200e+02
Km7ACAL = 3.0000e-02
Km7NADH = 5.0000e-02
Km7ETOH = 1.0000e+00
Km7NAD = 8.0000e-02
Keq7 = 1.2355e+04
SN = 1.0000e+01
SA = 5.0000e+00
SC = 1.0000e+00
Acetyl_CoA = 1.1000e-01
CoA = 8.9000e-01
ADP = 4.9000e+00
ATP = 9.9999e-02
NADH = 3.6666e+00
NAD = 6.3334e+00
